﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.3.1 - config
-- Author : Meranannon - Discordia - Vol'jin (EU)
-- rev 5
----------------------------------------------------------------------------------------------------

DFREFS={}

DF_namespace.anchor={}
DFexportFile=""

local _
local libc = LibStub:GetLibrary("LibCompress")

DF_namespace.practiceNotRunning=true
DF_namespace.practiceCheckBuff=true
DF_namespace.practiceCheckDebuff=true
DF_namespace.practiceCheckAura=false
DF_namespace.currentCombos=0
DF_namespace.luaCodeSeleted=nil

DF_namespace.lock=true
DF_namespace.configmode=false
DF_namespace.currentTime=GetTime()
DF_namespace.playerId = nil
DF_namespace.playerClass = nil
DF_namespace.playerLevel = nil
DF_namespace.playerTalent = nil
DF_namespace.playerTalentName = nil
DF_namespace.playerpoint = nil
DF_namespace.myArgs = ""
DF_namespace.menace = 0
DF_namespace.position3d = nil

DF_namespace.configToLoad = nil
DF_namespace.AnimaticToLoad = nil
DF_namespace.haveTarget=nil

DF_namespace.wipespell = true

DF_namespace.environnement = getfenv(0)

DF_namespace.DefaultSpell={
	spellIDs="0",
	abiUserText="",
	positionx=64,
	positiony=64,
	width=32,
	height=32,
	sType="DebuffTarget",
	showcd=true,
	showdottimer=true,
	perso=true,
	combo=false,
	icon=0,
	abiInternalCD=0,
	timerbar=0,
	color={r=1,v=0,b=0,a=1},
	abiSound="",
	form={true,true,true,true,true,true,true,true},
	strongcheck=false,
	FX_enable=false,
	FX_stack=0,
	FX_name="Custom",
	FX_width=128,
	FX_height=128,
	FX_texture="Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
	FX_customtexture="",
	FX_mode="BLEND",
	FX_angle=0,
	FX_start_posx=0,
	FX_middle_posx=0,
	FX_end_posx=0,
	FX_start_posy=0,
	FX_middle_posy=0,
	FX_end_posy=0,
	FX_start_alpha=0,
	FX_middle_alpha=1,
	FX_end_alpha=0,
	FX_start_scale=0.5,
	FX_middle_scale=1,
	FX_end_scale=0.5,
	FX_start_width=1,
	FX_middle_width=1,
	FX_end_width=1,		
	FX_start_height=1,
	FX_middle_height=1,
	FX_end_height=1,
	FX_speed=40,
	FX_rotatespeed=0,
	FX_chakerpower=0,
	FX_pulsepowerX=0,
	FX_pulsespeedX=0,
	FX_pulsepowerY=0,
	FX_pulsespeedY=0,
	FX_pulsepowerZ=0,
	FX_pulsespeedZ=0,
	FX_timerenable=false,			
	FX_timerposx=0,
	FX_timerposy=0,
	FX_timersmall=true,
	FX_timerabove=false,
	FX_timerscale=0.40,
	FX_timeralpha=0.35,
	FX_textenabled=false,
	FX_fontPath="Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
	FX_textsize=12,
	FX_textColor={
		["a"] = 0.5,
		["r"] = 1,
		["v"] = 1,
		["b"] = 1,		
	},
	FX_textalign="CENTER",
	FX_textoffsetx=0,
	FX_textoffsety=-40,
	luaCode="",
	comboPoints=0,
	removable=true,
}

StaticPopupDialogs["WIPESPELLS"] = {
  text = DF_namespace.locale["loadconfigansw"],
  button1 = DF_namespace.locale["loadconfigkeep"],
  button2 = DF_namespace.locale["loadconfigdisc"],
	OnAccept = function()
		DF_namespace:config_Loadok(DF_namespace.configToLoad,false,false)
	end,
	OnCancel = function()
		DF_namespace:config_Loadok(DF_namespace.configToLoad,false,true)
	end,  
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
};

StaticPopupDialogs["LOADSPELLS"] = {
  text = DF_namespace.locale["loadspellconfigansw"],
  button1 = DF_namespace.locale["repyes"],
  button2 = DF_namespace.locale["repno"],
	OnAccept = function()
		DF_namespace:spellconfig_Loadok(DF_namespace.configToLoad,false,false)
	end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
};


-- effacement valeur d'une table / erasing a value table
function DF_namespace:clearTable(source,spellstoo)
	local function _clear(csource)
		for index, value in pairs(csource) do
			if type(csource[index]) ~= "table" then
				csource[index]=nil
			else
				if (tostring(index)~="spells" or (tostring(index)=="spells" and spellstoo==true)) then
					_clear(csource[index])
				end
			end
		end
	end
	_clear(source)
end

-- copy d'une table vers une autre / copy from one table to another
function DF_namespace:copyTable(source,destination,spellstoo)
	local function _copy(csource,cdestination)
		for index, value in pairs(csource) do
			if type(csource[index]) ~= "table" then
				cdestination[index]=csource[index]
			else
				if (tostring(index)~="spells" or (tostring(index)=="spells" and spellstoo==true)) then
					if cdestination[index]==nil or not cdestination[index] then
						cdestination[index]={}
					end
					_copy(csource[index],cdestination[index])
				end
			end
		end
	end
	
	_copy(source,destination)
	
end

function DF_namespace:deepcopy(object)
    local lookup_table = {}
    local function _copy(object)
        if type(object) ~= "table" then
            return object
        elseif lookup_table[object] then
            return lookup_table[object]
        end
        local new_table = {}
        lookup_table[object] = new_table
        for index, value in pairs(object) do
            new_table[_copy(index)] = _copy(value)
        end
        return setmetatable(new_table, getmetatable(object))
    end
    return _copy(object)
end

function DF_namespace:exportCurrentConfig()

	local chemin=""
	DFexportFile=""
	
	local function _export(baseTable,chemin)
	
		for index, value in pairs(baseTable) do

			if type(baseTable[index]) ~= "table" then
				-- valeur
				chaine=chemin..";"..tostring(index)..";"..tostring(type(baseTable[index]))..";"..tostring(value).."\n"
				--DEFAULT_CHAT_FRAME:AddMessage(chaine)
				DFexportFile=DFexportFile..chaine
			else
				-- sous-table
				_export(baseTable[index],chemin.."."..tostring(index))
			end
			
		end
		
	end
	
	_export(DF_config,"")	

	DF_namespace.exportFile = libc:Compress(DFexportFile)

	DEFAULT_CHAT_FRAME:AddMessage(strlen(DF_namespace.exportFile))

end

	-- Compléte la configuration actuel avec les variables de la config par default
	-- Complete with the current configuration variables default config
function DF_namespace:completeTable(tcurrent,tdefaut,force)
	local chemin="config"

	local function _check(current,defaut,chemin,force)
		--DF_namespace:debugLine("chemin ",chemin)
		for index, value in pairs(defaut) do
			if type(defaut[index]) ~= "table" then
				if current[index]==nil then
					current[index]=defaut[index]
					--DF_namespace:debugLine("SET "..tostring(index),defaut[index])
				end
			else
				if chemin~="config.spells" or force then
					if current[index]==nil or not current[index] then
						current[index]={}
						--DF_namespace:debugLine("INDEX "..tostring(index),true)
					end				
					_check(current[index],defaut[index],chemin.."."..tostring(index),force)
				end
			end
		end
	end
	_check(tcurrent,tdefaut,chemin,force)	
end

function DF_namespace:configSaved(name)
	local nbConf=getn(DF_saved_configs)
	for i = 1,nbConf do
		if DF_saved_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:configBuildin(name)
	local nbConf=getn(DF_pred_configs)
	for i = 1,nbConf do
		if DF_pred_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:config_Save(name)
	
	if not name then name=DF_config.configname end
	
	name=name:gsub("BuildIn", "User")
	DF_config.configname=name
	DF_config.configversion=DROODFOCUS_CONFIGVERSION
	conf = DF_namespace:configSaved(name)

	if conf==0 then
		conf=getn(DF_saved_configs)+1
		DF_saved_configs[conf] = {}
	end

	DF_config.configversion=DROODFOCUS_CONFIGVERSION

	DF_saved_configs[conf] = DF_namespace:deepcopy(DF_config)
	DF_saved_configs[conf].configname=name

	DF_namespace:options_SavedconfigLists()
	
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["saved"]..name)
	
end

function DF_namespace:config_Load(name,showconfig)

	if not name then name=DF_namespace.configToLoad end
	DF_namespace.configToLoad=name;
	
	StaticPopup_Show("WIPESPELLS");

end

function DF_namespace:spellconfig_Load(name,showconfig)

	if not name then name=DF_namespace.configToLoad end
	DF_namespace.configToLoad=name;
	
	StaticPopup_Show("LOADSPELLS");

end

function DF_namespace:config_Loadok(name,showconfig,wipespell)

	DF_namespace.pause=true

	DF_namespace:hide_ooc_frame()
	
	if not name then name=DF_namespace.configToLoad end
	
	if string.find(name, "BuildIn") then
	
		conf = DF_namespace:configBuildin(name)
		
		if conf~=0 then
			
			if (wipespell==true) then
				while getn(DF_config.spells)>getn(DF_pred_configs[conf].spells) do
					table.remove(DF_config.spells,getn(DF_config.spells))
				end
			end
			
			DF_namespace:options_hide()
		
			DF_namespace:clearTable(DF_config,wipespell)
			DF_namespace:copyTable(DF_pred_configs[conf],DF_config,wipespell)
			DF_namespace:completeTable(DF_config,DF_pred_configs[1],false)
			DF_namespace:updateTable()
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DF_MinimapToggle()
		
			DF_namespace:replace_droodfocus()
		
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			if (showconfig==true) then
				DF_namespace:options_hide("DFOPTIONSelement");
				DF_namespace:options_show("DFOPTIONSelement")
			end
			
			DF_namespace.environnement["DFconfignamebox"]:Hide()
			DF_namespace.environnement["DFconfignamebox"]:Show()		
			
			DF_config.configversion=DROODFOCUS_CONFIGVERSION

		end
	else
	
		conf = DF_namespace:configSaved(name)
		
		if conf~=0 then

			if (wipespell==true) then
				while getn(DF_config.spells)>getn(DF_saved_configs[conf].spells) do
					table.remove(DF_config.spells,getn(DF_config.spells))
				end
			end
			
			DF_namespace:options_hide()
			
			DF_namespace:clearTable(DF_config,wipespell)
			DF_namespace:copyTable(DF_saved_configs[conf],DF_config,wipespell)
			DF_namespace:completeTable(DF_config,DF_pred_configs[1],false)
			DF_namespace:updateTable()
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DF_MinimapToggle()
			
			DF_namespace:replace_droodfocus()
			
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			if (showconfig==true) then
				DF_namespace:options_hide("DFOPTIONSelement");
				DF_namespace:options_show("DFOPTIONSelement")
			end
			
			DF_namespace.environnement["DFconfignamebox"]:Hide()
			DF_namespace.environnement["DFconfignamebox"]:Show()		
			
			DF_config.configversion=DROODFOCUS_CONFIGVERSION
			
		end
	end
	
	DF_namespace.pause=false
	
	return
	
end

function DF_namespace:spellconfig_Loadok(name)

	DF_namespace.pause=true

	DF_namespace:hide_ooc_frame()
	
	if not name then name=DF_namespace.configToLoad end
	
	conf = DF_namespace:configBuildin(name)
	
	if conf~=0 then
		
		while getn(DF_config.spells)>getn(DF_pred_configs[conf].spells) do
			table.remove(DF_config.spells,getn(DF_config.spells))
		end
		
		DF_namespace:options_hide()
	
		DF_namespace:clearTable(DF_config.spells,true)
		DF_namespace:copyTable(DF_pred_configs[conf].spells,DF_config.spells,true)
		
		DF_namespace:init_frames()
		DF_namespace:toggle_toggle()
		DF_MinimapToggle()
		
	end
	
	DF_namespace.pause=false
	
	return
	
end

function DF_namespace:config_delete(numero)
	table.remove(DF_saved_configs,numero)
	DF_namespace:options_SavedconfigLists()
end

function DF_namespace:config_Reset()

	DF_namespace:hide_ooc_frame()

	while getn(DF_config.spells)>getn(DF_pred_configs[1].spells) do
		table.remove(DF_config.spells,getn(DF_config.spells))
	end

	DF_namespace:options_hide()
	
	DF_namespace:clearTable(DF_config,true)
	DF_namespace:copyTable(DF_pred_configs[1],DF_config,true)
	DF_namespace:completeTable(DF_config,DF_pred_configs[1],false)
	DF_namespace:updateTable()
	
	DF_namespace:init_frames()
	DF_namespace:toggle_toggle()
	DF_namespace.environnement["DFconfignamebox"]:Hide()
	DF_namespace.environnement["DFconfignamebox"]:Show()
	DF_namespace.environnement["dfcombat"]:Hide()
	DF_namespace.environnement["dfcombat"]:Show()
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["reset"])
	DF_config.configversion=DROODFOCUS_CONFIGVERSION
end

function DF_namespace:updateTable()

	-- mise a jour des positions des ancres par rapport a l'ancre global
	-- (pas de changement sur les version supérieure a la 4.1.5)
	-- Update the positions of the anchors by the anchor global report
	-- (No change on the higher is 4.1.5)
	if tonumber(DF_config.configversion)<415 then

		-- position de l'ancre 1
		-- position of the anchor 1
		tempx=DF_config["anchor1"].positionx
		tempy=DF_config["anchor1"].positiony	

		-- initialisation de l'ancre 0 a coté de l'ancre 1
		-- initilizing 0 anchor next to one of the anchor
		DF_config["anchor0"].positionx = tempx-32
		DF_config["anchor0"].positiony = tempy+32
		globalx=DF_config["anchor0"].positionx
		globaly=DF_config["anchor0"].positiony
		
		nbAnchors = 7
		-- replacement des ancre 1 a 7 par rapport a l'ancre 0
		-- replacement of anchor 1 to 7 relative to the anchor 0
		for i = 1,nbAnchors do
			
			tempx=DF_config["anchor"..tostring(i)].positionx
			tempy=DF_config["anchor"..tostring(i)].positiony
			
			if (tempx==0 and tempy==0) then
				DF_config["anchor"..tostring(i)].positionx = -200
				DF_config["anchor"..tostring(i)].positiony = 0
			else
				DF_config["anchor"..tostring(i)].positionx = (tempx-globalx)
				DF_config["anchor"..tostring(i)].positiony = (tempy-globaly)
			end
			
		end

		DF_config["anchor0"].positionx = ( GetScreenWidth() * UIParent:GetEffectiveScale() )/2
		DF_config["anchor0"].positiony = ( GetScreenHeight() * UIParent:GetEffectiveScale() )/2

	end
	
	if tonumber(DF_config.configversion)<419 then
		
		-- ajout auto de l'effet special OOC
		-- auto-add special effect OOC
		if DF_config.ooc.enable then

			table.insert(DF_config.spells, 1, {})
			DF_namespace:copyTable(DF_namespace.DefaultSpell,DF_config.spells[1],true)
			
			DF_config.spells[1].spellIDs="16870"
			DF_config.spells[1].sType="BuffPlayer"
			DF_config.spells[1].icon=0
			DF_config.spells[1].timerbar=0
			
			DF_config.spells[1].FX_enable=true
			DF_config.spells[1].FX_positionx=DF_config.ooc.positionx
			DF_config.spells[1].FX_positiony=DF_config.ooc.positiony
			DF_config.spells[1].FX_width=DF_config.ooc.width
			DF_config.spells[1].FX_height=DF_config.ooc.height
			DF_config.spells[1].FX_level=DF_config.ooc.level
			DF_config.spells[1].FX_mode=DF_config.ooc.mode
			DF_config.spells[1].FX_texture="Interface\\AddOns\\DroodFocus\\datas\\fx_ooc.tga"

			DF_config.spells[1].FX_start_scale=2.5
			DF_config.spells[1].FX_middle_scale=1.25
			DF_config.spells[1].FX_end_scale=2.5

			DF_config.spells[1].FX_start_posx=0
			DF_config.spells[1].FX_middle_posx=0
			DF_config.spells[1].FX_end_posx=0
			
			DF_config.spells[1].FX_start_posy=0
			DF_config.spells[1].FX_middle_posy=0
			DF_config.spells[1].FX_end_posy=0	

			DF_config.spells[1].FX_start_alpha=0
			DF_config.spells[1].FX_middle_alpha=1
			DF_config.spells[1].FX_end_alpha=0

			DF_config.spells[1].FX_speed=40

			DF_config.spells[1].FX_rotatespeed=0.5
			DF_config.spells[1].FX_chakerpower=1
			
		end
		
	end

	if tonumber(DF_config.configversion)<427 then

		DF_config.timerbars[1].width=DF_config.timerbar.width
		DF_config.timerbars[1].height=DF_config.timerbar.height
		DF_config.timerbars[1].texturePath=DF_config.timerbar.texturePath
		DF_config.timerbars[1].font1Path=DF_config.timerbar.font1Path
		DF_config.timerbars[1].font1Size=DF_config.timerbar.font1Size
		DF_config.timerbars[1].font2Path=DF_config.timerbar.font2Path
		DF_config.timerbars[1].font2Size=DF_config.timerbar.font2Size
		DF_config.timerbars[1].activeAlpha=DF_config.timerbar.activeAlpha
		DF_config.timerbars[1].inactiveAlpha=DF_config.timerbar.inactiveAlpha
		DF_config.timerbars[1].border=DF_config.timerbar.border
		DF_config.timerbars[1].borderSize=DF_config.timerbar.borderSize
		DF_config.timerbars[1].timeline=DF_config.timerbar.timeline
		DF_config.timerbars[1].prop=DF_config.timerbar.prop
		DF_config.timerbars[1].orderByTime=DF_config.timerbar.orderByTime
		DF_config.timerbars[1].level=DF_config.timerbar.level
		DF_config.timerbars[1].growup=DF_config.timerbar.growup
		DF_config.timerbars[1].stackup1=DF_config.timerbar.stackup1
		DF_config.timerbars[1].showSpark=DF_config.timerbar.showSpark
		DF_config.timerbars[1].activeAlphaCD=DF_config.timerbar.activeAlphaCD
		DF_config.timerbars[1].cdoffsety=DF_config.timerbar.cdoffsety
		DF_config.timerbars[1].textColor.a=DF_config.timerbar.textColor.a
		DF_config.timerbars[1].textColor.r=DF_config.timerbar.textColor.r
		DF_config.timerbars[1].textColor.v=DF_config.timerbar.textColor.v
		DF_config.timerbars[1].textColor.b=DF_config.timerbar.textColor.b
		DF_config.timerbars[1].borderColor.a=DF_config.timerbar.borderColor.a
		DF_config.timerbars[1].borderColor.r=DF_config.timerbar.borderColor.r
		DF_config.timerbars[1].borderColor.v=DF_config.timerbar.borderColor.v
		DF_config.timerbars[1].borderColor.b=DF_config.timerbar.borderColor.b
		DF_config.timerbars[1].cdColor.a=DF_config.timerbar.cdColor.a
		DF_config.timerbars[1].cdColor.r=DF_config.timerbar.cdColor.r
		DF_config.timerbars[1].cdColor.v=DF_config.timerbar.cdColor.v
		DF_config.timerbars[1].cdColor.b=DF_config.timerbar.cdColor.b
		DF_config.timerbars[1].textsoffsets[1].offsetx=DF_config.timerbar.textsoffsets[1].offsetx
		DF_config.timerbars[1].textsoffsets[1].offsety=DF_config.timerbar.textsoffsets[1].offsety
		DF_config.timerbars[1].textsoffsets[2].offsetx=DF_config.timerbar.textsoffsets[2].offsetx
		DF_config.timerbars[1].textsoffsets[2].offsety=DF_config.timerbar.textsoffsets[2].offsety

		DF_config.timerbars[2].width=DF_config.timerbar.width2
		DF_config.timerbars[2].height=DF_config.timerbar.height2
		DF_config.timerbars[2].texturePath=DF_config.timerbar.texturePath
		DF_config.timerbars[2].font1Path=DF_config.timerbar.font1Path
		DF_config.timerbars[2].font1Size=DF_config.timerbar.font1Size
		DF_config.timerbars[2].font2Path=DF_config.timerbar.font2Path
		DF_config.timerbars[2].font2Size=DF_config.timerbar.font2Size
		DF_config.timerbars[2].activeAlpha=DF_config.timerbar.activeAlpha2
		DF_config.timerbars[2].inactiveAlpha=DF_config.timerbar.inactiveAlpha2
		DF_config.timerbars[2].border=DF_config.timerbar.border
		DF_config.timerbars[2].borderSize=DF_config.timerbar.borderSize
		DF_config.timerbars[2].timeline=DF_config.timerbar.timeline
		DF_config.timerbars[2].prop=DF_config.timerbar.prop2
		DF_config.timerbars[2].orderByTime=DF_config.timerbar.orderByTime
		DF_config.timerbars[2].level=DF_config.timerbar.level
		DF_config.timerbars[2].growup=DF_config.timerbar.growup
		DF_config.timerbars[2].stackup1=DF_config.timerbar.stackup2
		DF_config.timerbars[2].showSpark=DF_config.timerbar.showSpark
		DF_config.timerbars[2].activeAlphaCD=DF_config.timerbar.activeAlphaCD2
		DF_config.timerbars[2].cdoffsety=DF_config.timerbar.cdoffsety
		DF_config.timerbars[2].textColor.a=DF_config.timerbar.textColor.a
		DF_config.timerbars[2].textColor.r=DF_config.timerbar.textColor.r
		DF_config.timerbars[2].textColor.v=DF_config.timerbar.textColor.v
		DF_config.timerbars[2].textColor.b=DF_config.timerbar.textColor.b
		DF_config.timerbars[2].borderColor.a=DF_config.timerbar.borderColor.a
		DF_config.timerbars[2].borderColor.r=DF_config.timerbar.borderColor.r
		DF_config.timerbars[2].borderColor.v=DF_config.timerbar.borderColor.v
		DF_config.timerbars[2].borderColor.b=DF_config.timerbar.borderColor.b
		DF_config.timerbars[2].cdColor.a=DF_config.timerbar.cdColor.a
		DF_config.timerbars[2].cdColor.r=DF_config.timerbar.cdColor.r
		DF_config.timerbars[2].cdColor.v=DF_config.timerbar.cdColor.v
		DF_config.timerbars[2].cdColor.b=DF_config.timerbar.cdColor.b
		DF_config.timerbars[2].textsoffsets[1].offsetx=DF_config.timerbar.textsoffsets[1].offsetx
		DF_config.timerbars[2].textsoffsets[1].offsety=DF_config.timerbar.textsoffsets[1].offsety
		DF_config.timerbars[2].textsoffsets[2].offsetx=DF_config.timerbar.textsoffsets[2].offsetx
		DF_config.timerbars[2].textsoffsets[2].offsety=DF_config.timerbar.textsoffsets[2].offsety

		DF_config.iconbars[1].fontSize=DF_config.icons.fontSize
		DF_config.iconbars[1].orderByTime=DF_config.icons.orderByTime
		DF_config.iconbars[1].decimal=DF_config.icons.decimal
		DF_config.iconbars[1].automatic=DF_config.icons.automatic
		DF_config.iconbars[1].showSpiral=DF_config.icons.showSpiral
		DF_config.iconbars[1].inactiveAlpha=DF_config.icons.inactiveAlpha
		DF_config.iconbars[1].level=DF_config.icons.level
		DF_config.iconbars[1].textsoffsets[1].visible=DF_config.icons.textsoffsets[1].visible
		DF_config.iconbars[1].textsoffsets[1].offsety=DF_config.icons.textsoffsets[1].offsety
		DF_config.iconbars[1].textsoffsets[1].align=DF_config.icons.textsoffsets[1].align
		DF_config.iconbars[1].textsoffsets[1].offsetx=DF_config.icons.textsoffsets[1].offsetx
		DF_config.iconbars[1].textsoffsets[1].size=DF_config.icons.textsoffsets[1].size
		DF_config.iconbars[1].textsoffsets[2].visible=DF_config.icons.textsoffsets[2].visible
		DF_config.iconbars[1].textsoffsets[2].offsety=DF_config.icons.textsoffsets[2].offsety
		DF_config.iconbars[1].textsoffsets[2].align=DF_config.icons.textsoffsets[2].align
		DF_config.iconbars[1].textsoffsets[2].offsetx=DF_config.icons.textsoffsets[2].offsetx
		DF_config.iconbars[1].textsoffsets[2].size=DF_config.icons.textsoffsets[2].size
		DF_config.iconbars[1].textsoffsets[3].visible=DF_config.icons.textsoffsets[3].visible
		DF_config.iconbars[1].textsoffsets[3].offsety=DF_config.icons.textsoffsets[3].offsety
		DF_config.iconbars[1].textsoffsets[3].align=DF_config.icons.textsoffsets[3].align
		DF_config.iconbars[1].textsoffsets[3].offsetx=DF_config.icons.textsoffsets[3].offsetx
		DF_config.iconbars[1].textsoffsets[3].size=DF_config.icons.textsoffsets[3].size
		DF_config.iconbars[1].colonne=DF_config.icons.colonne
		DF_config.iconbars[1].fontPath=DF_config.icons.fontPath
		DF_config.iconbars[1].mode=DF_config.icons.mode
		DF_config.iconbars[1].pointpa=DF_config.icons.pointpa
		DF_config.iconbars[1].width=DF_config.icons.width
		DF_config.iconbars[1].height=DF_config.icons.height
		DF_config.iconbars[1].speed=DF_config.icons.speed
		DF_config.iconbars[1].pulse=DF_config.icons.pulse
		DF_config.iconbars[1].activeAlpha=DF_config.icons.activeAlpha
		DF_config.iconbars[1].growup=DF_config.icons.growup
		DF_config.iconbars[1].textColor.a=DF_config.icons.textColor.a
		DF_config.iconbars[1].textColor.r=DF_config.icons.textColor.r
		DF_config.iconbars[1].textColor.v=DF_config.icons.textColor.v
		DF_config.iconbars[1].textColor.b=DF_config.icons.textColor.b

		DF_config.iconbars[2].fontSize=DF_config.icons.fontSize
		DF_config.iconbars[2].orderByTime=DF_config.icons.orderByTime
		DF_config.iconbars[2].decimal=DF_config.icons.decimal
		DF_config.iconbars[2].automatic=DF_config.icons.automatic
		DF_config.iconbars[2].showSpiral=DF_config.icons.showSpiral
		DF_config.iconbars[2].inactiveAlpha=DF_config.icons.inactiveAlpha
		DF_config.iconbars[2].level=DF_config.icons.level
		DF_config.iconbars[2].textsoffsets[1].visible=DF_config.icons.textsoffsets[1].visible
		DF_config.iconbars[2].textsoffsets[1].offsety=DF_config.icons.textsoffsets[1].offsety
		DF_config.iconbars[2].textsoffsets[1].align=DF_config.icons.textsoffsets[1].align
		DF_config.iconbars[2].textsoffsets[1].offsetx=DF_config.icons.textsoffsets[1].offsetx
		DF_config.iconbars[2].textsoffsets[1].size=DF_config.icons.textsoffsets[1].size
		DF_config.iconbars[2].textsoffsets[2].visible=DF_config.icons.textsoffsets[2].visible
		DF_config.iconbars[2].textsoffsets[2].offsety=DF_config.icons.textsoffsets[2].offsety
		DF_config.iconbars[2].textsoffsets[2].align=DF_config.icons.textsoffsets[2].align
		DF_config.iconbars[2].textsoffsets[2].offsetx=DF_config.icons.textsoffsets[2].offsetx
		DF_config.iconbars[2].textsoffsets[2].size=DF_config.icons.textsoffsets[2].size
		DF_config.iconbars[2].textsoffsets[3].visible=DF_config.icons.textsoffsets[3].visible
		DF_config.iconbars[2].textsoffsets[3].offsety=DF_config.icons.textsoffsets[3].offsety
		DF_config.iconbars[2].textsoffsets[3].align=DF_config.icons.textsoffsets[3].align
		DF_config.iconbars[2].textsoffsets[3].offsetx=DF_config.icons.textsoffsets[3].offsetx
		DF_config.iconbars[2].textsoffsets[3].size=DF_config.icons.textsoffsets[3].size
		DF_config.iconbars[2].colonne=DF_config.icons.colonne2
		DF_config.iconbars[2].fontPath=DF_config.icons.fontPath
		DF_config.iconbars[2].mode=DF_config.icons.mode
		DF_config.iconbars[2].pointpa=DF_config.icons.pointpa
		DF_config.iconbars[2].width=DF_config.icons.width2
		DF_config.iconbars[2].height=DF_config.icons.height2
		DF_config.iconbars[2].speed=DF_config.icons.speed
		DF_config.iconbars[2].pulse=DF_config.icons.pulse
		DF_config.iconbars[2].activeAlpha=DF_config.icons.activeAlpha
		DF_config.iconbars[2].growup=DF_config.icons.growup
		DF_config.iconbars[2].textColor.a=DF_config.icons.textColor.a
		DF_config.iconbars[2].textColor.r=DF_config.icons.textColor.r
		DF_config.iconbars[2].textColor.v=DF_config.icons.textColor.v
		DF_config.iconbars[2].textColor.b=DF_config.icons.textColor.b

		-- ajout gestion blood in the water / adding blood in the water management
		table.insert(DF_config.spells, 1, {})
		DF_namespace:copyTable(DF_namespace.DefaultSpell,DF_config.spells[1],true)
		
		DF_config.spells[1].spellIDs="0"
		DF_config.spells[1].sType="Custom"
		DF_config.spells[1].abiUserText="Blood in the water"
	
		DF_config.spells[1].icon=0
		DF_config.spells[1].timerbar=0
		DF_config.spells[1].luaCode="current = UnitHealth(\"target\")\nmaxi = UnitHealthMax(\"target\")\npercent = current/maxi\nif percent<0.25 then\nreturn true\nelse\nreturn false\nend\n"	
		
		DF_config.spells[1].FX_enable=true
		DF_config.spells[1].FX_positionx=74
		DF_config.spells[1].FX_positiony=-38
		DF_config.spells[1].FX_width=128
		DF_config.spells[1].FX_height=128
		DF_config.spells[1].FX_level=127
		DF_config.spells[1].FX_mode="BLEND"
		DF_config.spells[1].FX_texture="Interface\\AddOns\\DroodFocus\\datas\\fx_glow10.tga"

		DF_config.spells[1].FX_start_scale=1.25
		DF_config.spells[1].FX_middle_scale=1.25
		DF_config.spells[1].FX_end_scale=1.25

		DF_config.spells[1].FX_start_posx=0
		DF_config.spells[1].FX_middle_posx=0
		DF_config.spells[1].FX_end_posx=-0
		
		DF_config.spells[1].FX_start_posy=250
		DF_config.spells[1].FX_middle_posy=0
		DF_config.spells[1].FX_end_posy=-65	

		DF_config.spells[1].FX_start_alpha=0
		DF_config.spells[1].FX_middle_alpha=0.65
		DF_config.spells[1].FX_end_alpha=0

		DF_config.spells[1].FX_start_height=0
		DF_config.spells[1].FX_middle_height=1
		DF_config.spells[1].FX_end_height=0.5

		DF_config.spells[1].FX_speed=5

		DF_config.spells[1].FX_pulsepowerZ=0.5
		DF_config.spells[1].FX_pulsespeedZ=2
		DF_config.spells[1].FX_rotatespeed=0
		DF_config.spells[1].FX_chakerpower=0		

	end

	if tonumber(DF_config.configversion)<429 then
		DF_config.iconbars[1].inactiveCDAlpha=DF_config.iconbars[1].inactiveAlpha
		DF_config.iconbars[2].inactiveCDAlpha=DF_config.iconbars[2].inactiveAlpha
	end

	if tonumber(DF_config.configversion)<430 then
 		anchorx=DF_config["anchor0"].positionx
 		anchory=DF_config["anchor0"].positiony		
 		oldx=DF_config.alert.positionx
 		oldy=DF_config.alert.positiony
 		DF_config.alert.positionx = anchorx+oldx
 		DF_config.alert.positiony = anchory+oldy
	end
	
	if not DF_config.alert.update505 then
 		DF_config.alert.positionx=0
 		DF_config.alert.positiony=0
		DF_config.alert.update505=true
	end
	
	DF_config.combo.defenseCharge=false
		
end

function DF_namespace:config_getname(numero)
	if DF_saved_configs[numero] then
		return DF_saved_configs[numero].configname
	else
		return ""
	end
end
--
-- configurations prédéfinies / predefined configurations
-- 
DF_pred_configs = {
	-- DEBUT [BuildIn] DroodFocus MoP
	{
		["fixrip"] = false,
		["MiniMapAngle"] = 215.4741447932407,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\noform.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
				"Interface\\AddOns\\DroodFocus\\datas\\treeform.tga", -- [8]
			},
			[true] = 200,
			["positiony"] = -13,
			["enable"] = true,
			["width"] = 52,
			["height"] = 52,
			["mode"] = "ADD",
			["positionx"] = 4,
			["level"] = 5,
		},
		["powerbar"] = {
			["fontSize"] = 17,
			["positiony"] = -18.50007629394531,
			["enable"] = true,
			["showSpark"] = true,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["borderSize"] = 1,
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["interval"] = 1,
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["sformat"] = "#c",
			["textAlign"] = "RIGHT",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -4,
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				77, -- [1]
				1079, -- [2]
				-1, -- [3]
				-1, -- [4]
				-1, -- [5]
				-1, -- [6]
			},
			["width"] = 192,
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["positionx"] = 10,
			["texty"] = -0.5,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -63,
			["enable"] = true,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["sformat"] = "#c%",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["textx"] = -4,
			["width"] = 192,
			["positionx"] = 10,
			["texty"] = 0,
			["showText"] = true,
			["height"] = 8,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 1,
		["optionsScale"] = 1,
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
				"", -- [8]
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = false,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			false, -- [3]
			true, -- [4]
			false, -- [5]
			false, -- [6]
			false, -- [7]
			false, -- [8]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = -49.66680908203125,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = -203.8888854980469,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = -9.666748046875,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = -202.666748046875,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["icons"] = {
			["fontSize"] = 13,
			["orderByTime"] = true,
			["decimal"] = false,
			["automatic"] = true,
			["showSpiral"] = 1,
			["inactiveAlpha"] = 0.3,
			["level"] = 10,
			["height2"] = 37,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textsoffsets"] = {
				{
					["visible"] = true,
					["offsety"] = -2,
					["align"] = "TOP",
					["offsetx"] = 0,
					["size"] = 14,
				}, -- [1]
				{
					["visible"] = true,
					["offsety"] = 1,
					["align"] = "BOTTOMRIGHT",
					["offsetx"] = 1,
					["size"] = 10,
				}, -- [2]
				{
					["visible"] = true,
					["offsety"] = 1,
					["align"] = "BOTTOMLEFT",
					["offsetx"] = 1,
					["size"] = 10,
				}, -- [3]
			},
			["colonne"] = 8,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["speed"] = 4,
			["pointpa"] = true,
			["width"] = 37,
			["width2"] = 37,
			["activeAlpha"] = 1,
			["enable"] = true,
			["pulse"] = 1.6,
			["height"] = 37,
			["growup"] = false,
			["mode"] = "BLEND",
			["colonne2"] = 8,
		},
		["blood"] = {
			["persistence"] = 6,
			["mode"] = "BLEND",
			["alpha"] = 0.6,
			["enable"] = true,
			["level"] = 1,
			["NotInRaid"] = true,
			["size"] = 0.7,
		},
		["roundMethod"] = true,
		["reportkickchan"] = "NONE",
		["petbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["sformat"] = "#M k (#p%)",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.2,
				["b"] = 0,
			},
			["width"] = 192,
			["textAlign"] = "RIGHT",
			["texty"] = 0,
			["showText"] = true,
			["height"] = 13,
			["orientation"] = "HORIZONTAL",
			["positionx"] = 10,
			["textx"] = -4,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor7"] = {
			["visible"] = true,
			["positiony"] = -100,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS 2",
			["level"] = 1,
			["height"] = 32,
			["positionx"] = 42,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["haveTarget"] = false,
		["alignToGrid"] = false,
		["inCombat"] = false,
		["configname"] = "[BuildIn] DroodFocus MoP",
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 118.6288146972656,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["mode"] = "BLEND",
			["showDebuff"] = true,
			["decalx"] = 0,
			["textOffsetX"] = 0,
			["update505"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["decaly"] = 0,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["width"] = 100,
			["alpha"] = 0.5,
			["showBuff"] = false,
			["fontSize"] = 11,
			["persistence"] = 4,
			["showText"] = true,
			["textOffsetY"] = -43,
			["height"] = 100,
			["positionx"] = -64.664306640625,
			["level"] = 5,
			["textColor"] = {
				["a"] = 1,
				["b"] = 1,
				["v"] = 1,
				["r"] = 1,
			},
		},
		["defense"] = {
			["fontSize"] = 18,
			["positiony"] = -20,
			["enable"] = true,
			["textOffsetX"] = 12,
			["impulsion"] = 1.3,
			["angleA"] = 283,
			["level"] = 12,
			["spellid"] = 62606,
			["nbcount"] = 3,
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\custom\\savage_off.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\custom\\savage_on.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\custom\\savage_norage.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_square_red.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_blood.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [7]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_frost.tga", -- [8]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [9]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_unholy.tga", -- [10]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [11]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_holy.tga", -- [12]
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["offsety"] = 0,
			["ptype"] = 1,
			["angleB"] = 183,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				false, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["positionx"] = 63,
			["width"] = 24,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showText"] = false,
			["textOffsetY"] = -17,
			["height"] = 24,
			["offsetx"] = 27,
			["rayon"] = 94,
			["textColor"] = {
				["a"] = 1,
				["b"] = 1,
				["v"] = 1,
				["r"] = 1,
			},
		},
		["combo"] = {
			["fontSize"] = 18,
			["positiony"] = -21.111083984375,
			["enable"] = true,
			["textOffsetX"] = 12,
			["impulsion"] = 1.35,
			["level"] = 12,
			["angleA"] = 288,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\custom\\combo_gray.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_yellow.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_gray.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_red.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_blood.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [7]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_frost.tga", -- [8]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga", -- [9]
				"Interface\\AddOns\\DroodFocus\\custom\\combo_rune_unholy.tga", -- [10]
				[13] = "Interface\\AddOns\\DroodFocus\\custom\\combo_closeEye.tga",
				[14] = "Interface\\AddOns\\DroodFocus\\custom\\combo_holy.tga",
			},
			["defenseCharge"] = false,
			["offsety"] = 0,
			["ptype"] = 1,
			["angleB"] = 183,
			["form"] = {
				false, -- [1]
				false, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["positionx"] = 56.22222900390625,
			["width"] = 20,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showText"] = false,
			["textOffsetY"] = -17,
			["height"] = 20,
			["offsetx"] = 18,
			["rayon"] = 37,
			["textColor"] = {
				["a"] = 1,
				["b"] = 1,
				["v"] = 1,
				["r"] = 1,
			},
		},
		["anchor0"] = {
			["visible"] = true,
			["positiony"] = 364.9524536132813,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "GLOBAL",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 701.71435546875,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["iconbars"] = {
			{
				["fontSize"] = 13,
				["orderByTime"] = true,
				["decimal"] = true,
				["automatic"] = true,
				["spacex"] = 39,
				["spacey"] = 39,
				["colonne2"] = 8,
				["timerformat"] = false,
				["mode"] = "BLEND",
				["pulsecd"] = false,
				["level"] = 10,
				["width2"] = 37,
				["height2"] = 37,
				["colonne"] = 20,
				["enable"] = true,
				["textsoffsets"] = {
					{
						["visible"] = true,
						["offsety"] = -3,
						["align"] = "TOPLEFT",
						["offsetx"] = 2,
						["size"] = 13,
					}, -- [1]
					{
						["visible"] = true,
						["offsety"] = 1,
						["align"] = "BOTTOMRIGHT",
						["offsetx"] = 0,
						["size"] = 9,
					}, -- [2]
					{
						["visible"] = true,
						["offsety"] = 1,
						["align"] = "BOTTOMLEFT",
						["offsetx"] = 2,
						["size"] = 10,
					}, -- [3]
				},
				["showSpiral"] = 1,
				["growup"] = false,
				["pulse"] = 1.6,
				["pointpa"] = true,
				["width"] = 37,
				["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
				["inactiveAlpha"] = 0.3,
				["activeAlpha"] = 1,
				["inactiveCDAlpha"] = 0.3,
				["height"] = 37,
				["stack"] = {
					{
						["value"] = 1,
						["label"] = "Active",
					}, -- [1]
					{
						["value"] = 0,
						["label"] = "Inactive",
					}, -- [2]
					{
						["value"] = 2,
						["label"] = "CD",
					}, -- [3]
					{
						["value"] = 3,
						["label"] = "Ready",
					}, -- [4]
				},
				["speed"] = 4,
				["textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
			}, -- [1]
			{
				["fontSize"] = 13,
				["orderByTime"] = false,
				["decimal"] = true,
				["automatic"] = true,
				["spacex"] = 31,
				["spacey"] = 31,
				["colonne2"] = 8,
				["timerformat"] = false,
				["level"] = 10,
				["inactiveAlpha"] = 0.3,
				["mode"] = "BLEND",
				["width2"] = 37,
				["height2"] = 37,
				["colonne"] = 20,
				["enable"] = true,
				["textsoffsets"] = {
					{
						["visible"] = true,
						["offsety"] = -2,
						["align"] = "TOP",
						["offsetx"] = 1,
						["size"] = 12,
					}, -- [1]
					{
						["visible"] = true,
						["offsety"] = 1,
						["align"] = "BOTTOMRIGHT",
						["offsetx"] = 0,
						["size"] = 10,
					}, -- [2]
					{
						["visible"] = true,
						["offsety"] = 1,
						["align"] = "BOTTOMLEFT",
						["offsetx"] = 2,
						["size"] = 10,
					}, -- [3]
				},
				["speed"] = 4,
				["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
				["pulse"] = 1.6,
				["pointpa"] = true,
				["width"] = 30,
				["showSpiral"] = 1,
				["growup"] = false,
				["activeAlpha"] = 1,
				["inactiveCDAlpha"] = 0.3,
				["height"] = 30,
				["stack"] = {
					{
						["value"] = 2,
						["label"] = "Active",
					}, -- [1]
					{
						["value"] = 0,
						["label"] = "Inactive",
					}, -- [2]
					{
						["value"] = 3,
						["label"] = "CD",
					}, -- [3]
					{
						["value"] = 1,
						["label"] = "Ready",
					}, -- [4]
				},
				["pulsecd"] = false,
				["textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
			}, -- [2]
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = -39.55572509765625,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "CD",
			["positionx"] = -30.142822265625,
			["height"] = 32,
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["reportkick"] = true,
		["targetbar"] = {
			["fontSize"] = 9,
			["positiony"] = -50,
			["enable"] = true,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["sformat"] = "#M k (#p%) #t",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["textx"] = -4,
			["width"] = 192,
			["textAlign"] = "RIGHT",
			["texty"] = 0,
			["showText"] = true,
			["height"] = 13,
			["orientation"] = "HORIZONTAL",
			["positionx"] = 10,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP (#maxAP)*Crit: #meleeCrit (#maxCrit)*Haste: #meleeHaste* *Razor claws:#razor*Guardian nature:#guardian",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 12,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["TimerLimit"] = 0,
		["timerbars"] = {
			{
				["orderByTime"] = true,
				["enable"] = true,
				["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
				["showSpark"] = true,
				["prop"] = false,
				["borderSize"] = 1,
				["cdColor"] = {
					["a"] = 0.9400000013411045,
					["r"] = 1,
					["v"] = 1,
					["b"] = 0,
				},
				["showTimeLine"] = true,
				["activeAlphaCD"] = 0.6,
				["level"] = 4,
				["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
				["stackup1"] = false,
				["inactiveAlpha"] = 0.3,
				["activeAlpha"] = 1,
				["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
				["font2Size"] = 16,
				["growup"] = false,
				["width"] = 192,
				["font1Size"] = 9,
				["timeline"] = 16,
				["borderColor"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 0,
					["b"] = 0,
				},
				["textsoffsets"] = {
					{
						["offsety"] = 1,
						["offsetx"] = 0,
					}, -- [1]
					{
						["offsety"] = 0,
						["offsetx"] = 2,
					}, -- [2]
				},
				["cdoffsety"] = 2,
				["cdoffsetx"] = 0,
				["height"] = 18,
				["stack"] = {
					{
						["value"] = 0,
						["label"] = "Active",
					}, -- [1]
					{
						["value"] = 3,
						["label"] = "Inactive",
					}, -- [2]
					{
						["value"] = 1,
						["label"] = "CD",
					}, -- [3]
					{
						["value"] = 2,
						["label"] = "Ready",
					}, -- [4]
				},
				["border"] = true,
				["textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
			}, -- [1]
			{
				["orderByTime"] = true,
				["enable"] = true,
				["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
				["showSpark"] = true,
				["prop"] = true,
				["borderSize"] = 1,
				["cdColor"] = {
					["a"] = 0.9299999997019768,
					["r"] = 1,
					["v"] = 1,
					["b"] = 0,
				},
				["showTimeLine"] = true,
				["activeAlphaCD"] = 0.35,
				["level"] = 4,
				["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
				["stackup1"] = false,
				["inactiveAlpha"] = 0,
				["activeAlpha"] = 1,
				["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
				["font2Size"] = 16,
				["growup"] = false,
				["width"] = 150,
				["font1Size"] = 9,
				["timeline"] = 16,
				["borderColor"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 0,
					["b"] = 0,
				},
				["textsoffsets"] = {
					{
						["offsety"] = 1,
						["offsetx"] = 0,
					}, -- [1]
					{
						["offsety"] = 0,
						["offsetx"] = 2,
					}, -- [2]
				},
				["cdoffsety"] = 2,
				["cdoffsetx"] = 0,
				["height"] = 18,
				["stack"] = {
					{
						["value"] = 0,
						["label"] = "Active",
					}, -- [1]
					{
						["value"] = 3,
						["label"] = "Inactive",
					}, -- [2]
					{
						["value"] = 1,
						["label"] = "CD",
					}, -- [3]
					{
						["value"] = 2,
						["label"] = "Ready",
					}, -- [4]
				},
				["border"] = true,
				["textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
			}, -- [2]
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = 17,
			["scaleMin"] = 1,
			["enable"] = true,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "150",
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.1,
			["level"] = 10,
			["mode"] = "ADD",
			["positionx"] = 70,
		},
		["uiAlwaysShow"] = false,
		["timerbar"] = {
			["activeAlpha"] = 1,
			["cdColor"] = {
				["a"] = 0.4900000095367432,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["inactiveAlpha"] = 0,
			["level"] = 4,
			["height2"] = "22",
			["prop2"] = true,
			["growup"] = false,
			["font1Size"] = 12,
			["timeline"] = 14,
			["cdoffsety"] = 2,
			["height"] = "22",
			["activeAlpha2"] = 1,
			["orderByTime"] = true,
			["enable"] = true,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["prop"] = true,
			["borderSize"] = 1,
			["activeAlphaCD"] = 1,
			["cdoffsetx"] = 0,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [1]
				{
					["offsety"] = 0,
					["offsetx"] = 2,
				}, -- [2]
			},
			["activeAlphaCD2"] = 1,
			["stackup2"] = true,
			["width"] = "257.25",
			["inactiveAlpha2"] = 0,
			["border"] = true,
			["showTimeLine"] = true,
			["width2"] = "257.25",
			["font2Size"] = 20,
			["stackup1"] = false,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 1,
		["gps"] = {
			["fontSize"] = 10,
			["gpsTarget"] = {
				"target", -- [1]
				"focus", -- [2]
			},
			["positiony"] = 202.6987448411231,
			["enable"] = false,
			["offsety"] = -16,
			["alpha"] = 1,
			["width"] = 28,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["level"] = 10,
			["mode"] = "BLEND",
			["height"] = 28,
			["positionx"] = 0,
			["positions"] = {
				{
					["y"] = 213.1504058837891,
					["x"] = 939.084716796875,
				}, -- [1]
				{
					["y"] = 177.7309112548828,
					["x"] = 939.0214233398438,
				}, -- [2]
				{
				}, -- [3]
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 139.0473022460938,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["sformat"] = "#C k/#M k (#p%) #t",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["textx"] = -7,
			["colorchg"] = true,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["level"] = 2,
			["width"] = 192,
			["positionx"] = 180.3809814453125,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["defensebar"] = {
			["fontSize"] = 11,
			["positiony"] = 97,
			["enable"] = false,
			["border"] = false,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar5.tga",
			["sformat"] = "#C k/#M k",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				false, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
				false, -- [8]
			},
			["color"] = {
				["a"] = 0.7900000065565109,
				["r"] = 0.5372549019607843,
				["v"] = 1,
				["b"] = 0.9686274509803922,
			},
			["width"] = 149,
			["textAlign"] = "CENTER",
			["texty"] = -1,
			["showText"] = true,
			["height"] = 20,
			["orientation"] = "HORIZONTAL",
			["positionx"] = 29,
			["textx"] = -4,
			["textColor"] = {
				["a"] = 1,
				["r"] = 0.7803921568627451,
				["v"] = 0.7803921568627451,
				["b"] = 0.7803921568627451,
			},
		},
		["castbar"] = {
			["positiony"] = 206.9999389648438,
			["color"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["activeAlpha"] = 1,
			["timerAlign"] = "RIGHT",
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["inactiveAlpha"] = 0,
			["level"] = 3,
			["timery"] = 0,
			["textx"] = 3,
			["sound1"] = "",
			["showText"] = true,
			["height"] = 24,
			["positionx"] = 8.47625732421875,
			["sound2"] = "",
			["fontSize"] = 12,
			["colori"] = {
				["a"] = 1,
				["b"] = 0,
				["v"] = 0,
				["r"] = 1,
			},
			["enable"] = true,
			["timerx"] = -3,
			["borderSize"] = 2,
			["fontPathtimer"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["showSpark"] = true,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showTimer"] = true,
			["texty"] = 0,
			["width"] = 192,
			["impulsion"] = 1,
			["border"] = true,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontSizetimer"] = 16,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "LEFT",
			["timerColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["sformat"] = "#C k/#M k (#p%)",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["form"] = {
				true, -- [1]
				true, -- [2]
				true, -- [3]
				true, -- [4]
				true, -- [5]
				true, -- [6]
				true, -- [7]
				true, -- [8]
			},
			["enable"] = false,
			["width"] = 192,
			["textAlign"] = "RIGHT",
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["positionx"] = 8,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 77758,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "DebuffTarget",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["abiSpelltext"] = "Rosser",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 2,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_rotatespeed"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 77758,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "77758;106830",
				["abiStack"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_start_posy"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["FX_textoffsetx"] = 0,
				["abiIsaBuff"] = false,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_stack"] = 0,
				["abiAlert"] = true,
				["abiLast"] = 0,
				["FX_start_alpha"] = 0,
				["perso"] = false,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_middle_posy"] = 0,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["FX_timerposy"] = 0,
				["FX_mode"] = "BLEND",
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiFake"] = 0,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["FX_textoffsety"] = -40,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["b"] = 1,
					["v"] = 1,
					["r"] = 1,
				},
				["showdottimer"] = true,
				["names"] = {
					"Rosser", -- [1]
					"Rosser", -- [2]
				},
				["FX_timerenable"] = false,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_end_posx"] = 0,
				["abiEnd"] = 0,
				["FX_timeralpha"] = 0.35,
				["FX_end_scale"] = 0.5,
				["comboPoints"] = 0,
				["FX_customtexture"] = "",
				["abiRdyMode"] = false,
				["FX_middle_width"] = 1,
				["FX_middle_posx"] = 0,
				["abiRotatePulse"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["FX_name"] = "Custom",
				["abiTalent"] = 0,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["TimerLimit"] = 0,
				["showcd"] = true,
				["FX_start_posx"] = 0,
				["ids"] = {
					77758, -- [1]
					106830, -- [2]
				},
			}, -- [1]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106830,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["abiEnd"] = 0,
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Rosser",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_rotatespeed"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106830,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106830",
				["abiStack"] = 0,
				["FX_timerposy"] = 0,
				["FX_start_posy"] = 0,
				["FX_middle_posx"] = 0,
				["FX_textoffsetx"] = 0,
				["showcd"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["abiLast"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_stack"] = 0,
				["FX_start_alpha"] = 0,
				["abiFake"] = 0,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_middle_posy"] = 0,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["perso"] = true,
				["abiRotatePulse"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["FX_mode"] = "BLEND",
				["FX_textoffsety"] = -40,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["b"] = 1,
					["v"] = 1,
					["r"] = 1,
				},
				["showdottimer"] = true,
				["names"] = {
					"Rosser", -- [1]
				},
				["FX_timerenable"] = false,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_end_posx"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["FX_timeralpha"] = 0.35,
				["FX_end_scale"] = 0.5,
				["comboPoints"] = 0,
				["FX_customtexture"] = "",
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["height"] = 32,
				["abiAlert"] = true,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["FX_name"] = "Custom",
				["sType"] = "DebuffTarget",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiIsaBuff"] = false,
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["ids"] = {
					106830, -- [1]
				},
			}, -- [2]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 77758,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "DebuffTarget",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["abiSpelltext"] = "Rosser",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["ids"] = {
					77758, -- [1]
				},
				["FX_stack"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 77758,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "77758",
				["abiStack"] = 0,
				["TimerLimit"] = 0,
				["FX_start_posy"] = 0,
				["FX_middle_posx"] = 0,
				["abiAlert"] = false,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["showcd"] = true,
				["FX_timerposy"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_name"] = "Custom",
				["FX_middle_width"] = 1,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["perso"] = true,
				["height"] = 32,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiTalent"] = 0,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textoffsety"] = -40,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_timerenable"] = false,
				["names"] = {
					"Rosser", -- [1]
				},
				["showdottimer"] = true,
				["FX_end_posx"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_timeralpha"] = 0.35,
				["FX_end_scale"] = 0.5,
				["comboPoints"] = 0,
				["FX_customtexture"] = "",
				["abiRdyMode"] = false,
				["abiFake"] = 0,
				["FX_mode"] = "BLEND",
				["abiEnd"] = 0,
				["FX_OffMode"] = 1,
				["FX_end_posy"] = 0,
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_start_alpha"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiIsaBuff"] = false,
				["FX_pulsepowerX"] = 0,
				["FX_start_posx"] = 0,
				["FX_middle_scale"] = 1,
			}, -- [3]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 33878,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "BuffPlayer",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["abiSpelltext"] = "Mutilation",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["FX_stack"] = 0,
				["FX_textoffsetx"] = 0,
				["ids"] = {
					33878, -- [1]
				},
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_middle_scale"] = 1,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 33878,
				["abiSound"] = "",
				["FX_textalign"] = "CENTER",
				["FX_end_alpha"] = 0,
				["spellIDs"] = "33878",
				["abiStack"] = 0,
				["timerbar"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["FX_start_posy"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["abiIsaBuff"] = true,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_customtexture"] = "",
				["FX_start_alpha"] = 0,
				["FX_end_scale"] = 0.5,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_middle_posy"] = 0,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["FX_textenabled"] = false,
				["abiFake"] = 0,
				["FX_timerenable"] = false,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textColor"] = {
					["a"] = 0.5,
					["b"] = 1,
					["v"] = 1,
					["r"] = 1,
				},
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["FX_timerscale"] = 0.4,
				["names"] = {
					"Mutilation", -- [1]
				},
				["FX_middle_posx"] = 0,
				["FX_start_scale"] = 0.5,
				["perso"] = false,
				["height"] = 32,
				["FX_timeralpha"] = 0.35,
				["showcd"] = true,
				["comboPoints"] = 0,
				["abiEnd"] = 0,
				["abiRdyMode"] = true,
				["abiTalent"] = 0,
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_end_posx"] = 0,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_timerposy"] = 0,
				["TimerLimit"] = 0,
				["FX_start_posx"] = 0,
				["FX_pulsespeedZ"] = 0,
			}, -- [4]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 62606,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "BuffPlayer",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Défense sauvage",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_textoffsetx"] = 0,
				["ids"] = {
					62606, -- [1]
					132402, -- [2]
				},
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_stack"] = 0,
				["FX_middle_scale"] = 1,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 62606,
				["abiSound"] = "",
				["FX_textalign"] = "CENTER",
				["FX_end_alpha"] = 0,
				["spellIDs"] = "62606;132402",
				["abiStack"] = 0,
				["FX_height"] = 128,
				["abiAlert"] = false,
				["showdottimer"] = true,
				["abiEnd"] = 0,
				["abiIsaBuff"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 6.023000000001048,
				["FX_chakerpower"] = 0,
				["FX_customtexture"] = "",
				["FX_end_posx"] = 0,
				["abiLast"] = 0,
				["FX_name"] = "Custom",
				["FX_textenabled"] = false,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiTalent"] = 0,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_timerenable"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = true,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["names"] = {
					"Défense sauvage", -- [1]
					"Défense sauvage", -- [2]
				},
				["FX_start_posy"] = 0,
				["FX_mode"] = "BLEND",
				["perso"] = true,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timeralpha"] = 0.35,
				["FX_middle_posx"] = 0,
				["comboPoints"] = 0,
				["FX_timerscale"] = 0.4,
				["abiRdyMode"] = false,
				["FX_middle_width"] = 1,
				["showcd"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_OffMode"] = 1,
				["FX_end_posy"] = 0,
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_start_alpha"] = 0,
				["FX_end_scale"] = 0.5,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_timerposy"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_start_posx"] = 0,
				["FX_pulsespeedZ"] = 0,
			}, -- [5]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 33745,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["abiEnd"] = 0,
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["FX_stack"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_customtexture"] = "",
				["abiSpelltext"] = "Lacérer",
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 33745,
				["abiSound"] = "",
				["FX_textalign"] = "CENTER",
				["FX_end_alpha"] = 0,
				["spellIDs"] = "33745",
				["abiStack"] = 0,
				["timerbar"] = 0,
				["FX_start_posy"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["sType"] = "DebuffTarget",
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["showcd"] = true,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["abiAlert"] = false,
				["FX_name"] = "Custom",
				["FX_textoffsetx"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["height"] = 32,
				["showdottimer"] = true,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiTalent"] = 0,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_timerenable"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["abiFake"] = 0,
				["names"] = {
					"Lacérer", -- [1]
				},
				["FX_timerposy"] = 0,
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_timerscale"] = 0.4,
				["FX_mode"] = "BLEND",
				["FX_timeralpha"] = 0.35,
				["perso"] = true,
				["comboPoints"] = 0,
				["FX_middle_posx"] = 0,
				["abiRdyMode"] = false,
				["FX_middle_width"] = 1,
				["FX_middle_scale"] = 1,
				["FX_end_posx"] = 0,
				["FX_OffMode"] = 1,
				["FX_end_posy"] = 0,
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_start_alpha"] = 0,
				["FX_end_scale"] = 0.5,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiIsaBuff"] = false,
				["TimerLimit"] = 0,
				["FX_start_posx"] = 0,
				["ids"] = {
					33745, -- [1]
				},
			}, -- [6]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 127538,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["FX_stack"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["TimerLimit"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 127538,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "127538;52610",
				["abiStack"] = 0,
				["FX_middle_scale"] = 1,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_start_posy"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 1,
				["FX_chakerpower"] = 0,
				["sType"] = "BuffPlayer",
				["ids"] = {
					127538, -- [1]
					52610, -- [2]
				},
				["timerbar"] = 0,
				["FX_start_alpha"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Rugissement sauvage", -- [1]
					"Rugissement sauvage", -- [2]
				},
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["showcd"] = true,
				["FX_start_height"] = 1,
				["FX_timeralpha"] = 0.35,
				["abiIsaBuff"] = true,
				["comboPoints"] = 0,
				["FX_end_posx"] = 0,
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["abiEnd"] = 0,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_end_scale"] = 0.5,
				["FX_textoffsetx"] = 0,
				["FX_start_posx"] = 0,
				["FX_timerposy"] = 0,
			}, -- [7]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 1079,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["abiEnd"] = 0,
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Déchirure",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_customtexture"] = "",
				["abiLast"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 1079,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "1079",
				["abiStack"] = 0,
				["FX_timerposy"] = 0,
				["FX_start_posy"] = 0,
				["FX_middle_posx"] = 0,
				["FX_stack"] = 0,
				["abiIsaBuff"] = false,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_end_scale"] = 0.5,
				["FX_textoffsetx"] = 0,
				["FX_middle_scale"] = 1,
				["FX_start_alpha"] = 0,
				["abiTalent"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["sType"] = "DebuffTarget",
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["abiDuration"] = 0,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["FX_mode"] = "BLEND",
				["names"] = {
					"Déchirure", -- [1]
				},
				["FX_end_posx"] = 0,
				["FX_start_height"] = 1,
				["showdottimer"] = true,
				["showcd"] = true,
				["FX_timeralpha"] = 0.35,
				["abiAlert"] = false,
				["comboPoints"] = 0,
				["FX_textalign"] = "CENTER",
				["abiRdyMode"] = false,
				["abiFake"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["height"] = 32,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "local current = UnitHealth(\"target\")\nlocal maxi = UnitHealthMax(\"target\")\nif maxi>0 then\n  percent = current/maxi\n  if (percent<=0.25 and DF_namespace:spell_exist(1079,nil,\"target\",\"HARMFUL|PLAYER\",true)) then\n    DF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_druid_ferociousbite\")\n  else\n    DF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_ghoulfrenzy\")\n  end\nelse\n  DF_namespace:icon_setTexture(DF_abiNum,\"Interface\\\\icons\\\\ability_ghoulfrenzy\")\nend\nreturn true",
				["FX_height"] = 128,
				["FX_pulsepowerX"] = 0,
				["FX_start_posx"] = 0,
				["ids"] = {
					1079, -- [1]
				},
			}, -- [8]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 1822,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["FX_stack"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["abiEnd"] = 0,
				["timerbar"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 1822,
				["abiSound"] = "",
				["FX_textalign"] = "CENTER",
				["FX_end_alpha"] = 0,
				["spellIDs"] = "1822",
				["abiStack"] = 0,
				["FX_pulsespeedZ"] = 0,
				["abiAlert"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_timerposy"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_end_scale"] = 0.5,
				["ids"] = {
					1822, -- [1]
				},
				["FX_start_posy"] = 0,
				["FX_start_alpha"] = 0,
				["FX_timerscale"] = 0.4,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Griffure", -- [1]
				},
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["showcd"] = true,
				["FX_start_height"] = 1,
				["FX_timeralpha"] = 0.35,
				["abiIsaBuff"] = false,
				["comboPoints"] = 0,
				["FX_end_posx"] = 0,
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["sType"] = "DebuffTarget",
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiSpelltext"] = "Griffure",
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["FX_middle_scale"] = 1,
			}, -- [9]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 113746,
				["FX_timerposx"] = 0,
				["icon"] = 1,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "DebuffTarget",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["abiSpelltext"] = "Armure affaiblie",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_pulsepowerX"] = 0,
				["abiEnd"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 113746,
				["abiSound"] = "",
				["FX_textalign"] = "CENTER",
				["FX_end_alpha"] = 0,
				["spellIDs"] = "113746",
				["abiStack"] = 0,
				["TimerLimit"] = 0,
				["abiAlert"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_start_posy"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_customtexture"] = "",
				["ids"] = {
					113746, -- [1]
				},
				["FX_timerposy"] = 0,
				["FX_start_alpha"] = 0,
				["abiTalent"] = 0,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["FX_stack"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["abiDuration"] = 0,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["FX_mode"] = "BLEND",
				["names"] = {
					"Armure affaiblie", -- [1]
				},
				["FX_end_posx"] = 0,
				["FX_start_height"] = 1,
				["abiIsaBuff"] = false,
				["showcd"] = true,
				["FX_timeralpha"] = 0.35,
				["showdottimer"] = true,
				["comboPoints"] = 0,
				["FX_timerscale"] = 0.4,
				["abiRdyMode"] = false,
				["abiFake"] = 0,
				["FX_middle_posx"] = 0,
				["height"] = 32,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_end_scale"] = 0.5,
				["FX_middle_scale"] = 1,
				["FX_start_posx"] = 0,
				["FX_textoffsetx"] = 0,
			}, -- [10]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = true,
				["removable"] = true,
				["FX_textsize"] = 14,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 5217,
				["FX_timerposx"] = 0,
				["icon"] = 2,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 30,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["FX_positionx"] = 207,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 80,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 80,
				["timerbar"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = true,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedZ"] = 13.5,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["abiIsaBuff"] = true,
				["FX_stack"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 5217,
				["abiSound"] = "",
				["FX_timerscale"] = 0.85,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "5217",
				["abiStack"] = 0,
				["TimerLimit"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_rotatespeed"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 25.49799999999959,
				["FX_chakerpower"] = 1.75,
				["abiEnd"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_start_alpha"] = 0,
				["ids"] = {
					5217, -- [1]
				},
				["strongcheck"] = false,
				["FX_end_scale"] = 0,
				["FX_end_posy"] = 0,
				["FX_timersmall"] = false,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\custom\\lion",
				["FX_end_posx"] = 0,
				["abiFake"] = 0,
				["abiTalent"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["height"] = 32,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["abiDuration"] = 0,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0.5,
				["FX_start_scale"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_start_posy"] = 0,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["FX_textoffsety"] = -32,
				["showcd"] = true,
				["perso"] = true,
				["FX_mode"] = "BLEND",
				["FX_timeralpha"] = 0.25,
				["showdottimer"] = true,
				["comboPoints"] = 0,
				["FX_timerenable"] = false,
				["abiRdyMode"] = true,
				["FX_middle_width"] = 1,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "HeartBeat",
				["FX_timerposy"] = 0,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["sType"] = "BuffPlayer",
				["abiSpelltext"] = "Fureur du tigre",
				["FX_start_posx"] = 0,
				["FX_positiony"] = 64,
			}, -- [11]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = true,
				["removable"] = true,
				["FX_textsize"] = 14,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106952,
				["FX_timerposx"] = 0,
				["icon"] = 2,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 30,
				["sType"] = "BuffPlayer",
				["positionx"] = 64,
				["FX_positionx"] = 273,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 80,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 80,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 13.5,
				["FX_textenabled"] = true,
				["FX_rotatespeed"] = 0,
				["FX_stack"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["abiSpelltext"] = "Berserk",
				["FX_customtexture"] = "",
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106952,
				["abiSound"] = "",
				["FX_timerscale"] = 0.85,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106952;106951;50334",
				["abiStack"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiAlert"] = false,
				["FX_end_posx"] = 0,
				["abiEnd"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 1.75,
				["FX_timerposy"] = 0,
				["ids"] = {
					106952, -- [1]
					106951, -- [2]
					50334, -- [3]
				},
				["FX_start_alpha"] = 0,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["strongcheck"] = false,
				["FX_end_scale"] = 0,
				["FX_end_posy"] = 0,
				["FX_timersmall"] = false,
				["FX_textalign"] = "CENTER",
				["TimerLimit"] = 0,
				["abiFake"] = 0,
				["FX_middle_width"] = 1,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiRotatePulse"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["abiDuration"] = 0,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0.5,
				["FX_start_scale"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_start_posy"] = 0,
				["names"] = {
					"Berserk", -- [1]
					"Berserk", -- [2]
					"Berserk", -- [3]
				},
				["FX_textoffsety"] = -32,
				["showcd"] = true,
				["FX_mode"] = "BLEND",
				["FX_start_height"] = 1,
				["FX_timeralpha"] = 0.25,
				["showdottimer"] = true,
				["comboPoints"] = 0,
				["FX_timerenable"] = false,
				["abiRdyMode"] = true,
				["abiTalent"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\custom\\paw",
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "HeartBeat",
				["FX_middle_scale"] = 1,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_textoffsetx"] = 0,
				["abiIsaBuff"] = true,
				["FX_start_posx"] = 0,
				["FX_positiony"] = 64,
			}, -- [12]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = true,
				["removable"] = true,
				["FX_textsize"] = 14,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106731,
				["FX_timerposx"] = 0,
				["icon"] = 2,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 30,
				["abiEnd"] = 0,
				["positionx"] = 64,
				["FX_positionx"] = 241,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 80,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 80,
				["FX_stack"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = true,
				["FX_middle_scale"] = 1,
				["FX_textalign"] = "CENTER",
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["timerbar"] = 0,
				["sType"] = "BuffPlayer",
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106731,
				["abiSound"] = "",
				["FX_timerscale"] = 0.85,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106731;102543",
				["abiStack"] = 0,
				["FX_start_posy"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_customtexture"] = "",
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 1.75,
				["TimerLimit"] = 0,
				["FX_pulsespeedZ"] = 13.5,
				["FX_start_alpha"] = 0,
				["FX_rotatespeed"] = 0,
				["strongcheck"] = false,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_end_posy"] = 0,
				["FX_timersmall"] = false,
				["FX_middle_posx"] = 0,
				["abiSpelltext"] = "Incarnation",
				["abiFake"] = 0,
				["abiTalent"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiDuration"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textoffsety"] = -32,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0.5,
				["FX_start_scale"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_end_posx"] = 0,
				["names"] = {
					"Incarnation", -- [1]
					"Incarnation : Roi de la jungle", -- [2]
				},
				["FX_mode"] = "BLEND",
				["showdottimer"] = true,
				["FX_start_height"] = 1,
				["showcd"] = true,
				["FX_timeralpha"] = 0.25,
				["FX_timerposy"] = 0,
				["comboPoints"] = 0,
				["FX_timerenable"] = false,
				["abiRdyMode"] = true,
				["FX_middle_width"] = 1,
				["height"] = 32,
				["FX_end_scale"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "HeartBeat",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\custom\\tiger",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["ids"] = {
					106731, -- [1]
					102543, -- [2]
				},
				["abiIsaBuff"] = true,
				["FX_start_posx"] = 0,
				["FX_positiony"] = -10,
			}, -- [13]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = true,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 16870,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 30,
				["sType"] = "BuffPlayer",
				["positionx"] = 64,
				["FX_positionx"] = 71.99981689453125,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 500,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 19,
				["ids"] = {
					16870, -- [1]
				},
				["FX_timerposy"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_pulsespeedX"] = 0.5,
				["abiPower"] = {
				},
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 3,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 16870,
				["abiSound"] = "",
				["FX_timerscale"] = 0.85,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "16870",
				["abiStack"] = 0,
				["FX_middle_posx"] = 0,
				["abiAlert"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiEnd"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0.7839999999996508,
				["FX_chakerpower"] = 0.25,
				["abiSpelltext"] = "Idées claires",
				["FX_customtexture"] = "",
				["FX_start_alpha"] = 0,
				["FX_stack"] = 0,
				["strongcheck"] = false,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx_ooc.tga",
				["FX_end_posy"] = 0,
				["FX_timersmall"] = false,
				["showdottimer"] = true,
				["FX_height"] = 88,
				["abiFake"] = 0,
				["abiTalent"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiDuration"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textoffsety"] = -40,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 1,
				["FX_start_scale"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_end_posx"] = 0,
				["names"] = {
					"Idées claires", -- [1]
				},
				["FX_mode"] = "ADD",
				["FX_start_posy"] = 0,
				["FX_start_height"] = 1,
				["showcd"] = true,
				["FX_timeralpha"] = 0.25,
				["FX_middle_scale"] = 1.6,
				["comboPoints"] = 0,
				["FX_timerenable"] = false,
				["abiRdyMode"] = false,
				["FX_middle_width"] = 1,
				["height"] = 32,
				["FX_end_scale"] = 3,
				["FX_OffMode"] = 1,
				["form"] = {
					true, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					true, -- [6]
					false, -- [7]
					true, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "HeartBeat",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_textoffsetx"] = 0,
				["abiIsaBuff"] = true,
				["FX_start_posx"] = 0,
				["FX_positiony"] = 84.38131713867188,
			}, -- [14]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 1850,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["sType"] = "BuffPlayer",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["FX_pulsepowerX"] = 0,
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_pulsespeedZ"] = 0,
				["FX_stack"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 1850,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "1850",
				["abiStack"] = 0,
				["abiSpelltext"] = "Célérité",
				["FX_start_posy"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiIsaBuff"] = true,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_timerposy"] = 0,
				["ids"] = {
					1850, -- [1]
				},
				["FX_end_scale"] = 0.5,
				["FX_start_alpha"] = 0,
				["abiAlert"] = false,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["TimerLimit"] = 0,
				["abiFake"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_timerenable"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textalign"] = "CENTER",
				["names"] = {
					"Célérité", -- [1]
				},
				["FX_mode"] = "BLEND",
				["FX_middle_posx"] = 0,
				["perso"] = true,
				["showdottimer"] = true,
				["FX_timeralpha"] = 0.35,
				["FX_end_posx"] = 0,
				["comboPoints"] = 0,
				["FX_textoffsety"] = -40,
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["FX_middle_scale"] = 1,
				["height"] = 32,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiEnd"] = 0,
				["showcd"] = true,
				["FX_start_posx"] = 0,
				["FX_customtexture"] = "",
			}, -- [15]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 69369,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["abiEnd"] = 0,
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Rapidité du prédateur",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 2,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["sType"] = "BuffPlayer",
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 69369,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "69369",
				["abiStack"] = 0,
				["FX_stack"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0.05098039215686274,
					["v"] = 1,
					["b"] = 0,
				},
				["FX_timerposy"] = 0,
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 4.833999999998923,
				["FX_chakerpower"] = 0,
				["FX_customtexture"] = "",
				["FX_rotatespeed"] = 0,
				["ids"] = {
					69369, -- [1]
				},
				["FX_start_alpha"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_end_scale"] = 0.5,
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Rapidité du prédateur", -- [1]
				},
				["FX_start_posy"] = 0,
				["FX_mode"] = "BLEND",
				["showcd"] = true,
				["FX_start_height"] = 1,
				["FX_timeralpha"] = 0.35,
				["FX_end_posx"] = 0,
				["comboPoints"] = 0,
				["showdottimer"] = true,
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["abiIsaBuff"] = true,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["FX_textoffsetx"] = 0,
			}, -- [16]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106922,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Puissance d’Ursoc",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_timerposy"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_middle_scale"] = 1,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106922,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106922",
				["abiStack"] = 0,
				["FX_rotatespeed"] = 0,
				["FX_start_posy"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["ids"] = {
					106922, -- [1]
				},
				["abiLast"] = 0,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["abiEnd"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_height"] = 128,
				["FX_start_alpha"] = 0,
				["abiTalent"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["FX_stack"] = 0,
				["FX_start_scale"] = 0.5,
				["combo"] = false,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["abiDuration"] = 0,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textoffsety"] = -40,
				["FX_mode"] = "BLEND",
				["names"] = {
					"Puissance d’Ursoc", -- [1]
				},
				["FX_end_posx"] = 0,
				["FX_start_height"] = 1,
				["showdottimer"] = true,
				["showcd"] = true,
				["FX_timeralpha"] = 0.35,
				["abiAlert"] = false,
				["comboPoints"] = 0,
				["FX_textalign"] = "CENTER",
				["abiRdyMode"] = false,
				["abiFake"] = 0,
				["FX_middle_posx"] = 0,
				["height"] = 32,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["FX_end_scale"] = 0.5,
				["abiIsaBuff"] = true,
				["FX_start_posx"] = 0,
				["sType"] = "BuffPlayer",
			}, -- [17]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106898,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Ruée rugissante",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_pulsespeedZ"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106898,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106898;77764",
				["abiStack"] = 0,
				["FX_timerposy"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiIsaBuff"] = true,
				["showcd"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_rotatespeed"] = 0,
				["abiLast"] = 0,
				["FX_start_alpha"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_end_scale"] = 0.5,
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Ruée rugissante", -- [1]
					"Ruée rugissante", -- [2]
				},
				["FX_start_posy"] = 0,
				["perso"] = true,
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["FX_timeralpha"] = 0.35,
				["FX_end_posx"] = 0,
				["comboPoints"] = 0,
				["sType"] = "BuffPlayer",
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["abiEnd"] = 0,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					true, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					true, -- [6]
					false, -- [7]
					true, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["ids"] = {
					106898, -- [1]
					77764, -- [2]
				},
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["FX_stack"] = 0,
			}, -- [18]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 106839,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Coup de crâne",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["FX_pulsespeedZ"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 106839,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "106839;82365",
				["abiStack"] = 0,
				["FX_timerposy"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiIsaBuff"] = false,
				["showcd"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_rotatespeed"] = 0,
				["abiLast"] = 0,
				["FX_start_alpha"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_end_scale"] = 0.5,
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Coup de crâne", -- [1]
					"Coup de crâne", -- [2]
				},
				["FX_start_posy"] = 0,
				["perso"] = true,
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["FX_timeralpha"] = 0.35,
				["FX_end_posx"] = 0,
				["comboPoints"] = 0,
				["sType"] = "DebuffTarget",
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["abiEnd"] = 0,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
					false, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["ids"] = {
					106839, -- [1]
					82365, -- [2]
				},
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["FX_stack"] = 0,
			}, -- [19]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 22812,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["FX_height"] = 128,
				["abiSpelltext"] = "Ecorce",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_rotatespeed"] = 0,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["TimerLimit"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 22812,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiEnd"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["FX_textalign"] = "CENTER",
				["abiIsaBuff"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_stack"] = 0,
				["FX_start_alpha"] = 0,
				["FX_textoffsetx"] = 0,
				["FX_end_scale"] = 0.5,
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["abiTalent"] = 0,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["sType"] = "BuffPlayer",
				["names"] = {
					"Ecorce", -- [1]
				},
				["showcd"] = true,
				["FX_textoffsety"] = -40,
				["FX_mode"] = "BLEND",
				["perso"] = true,
				["FX_timeralpha"] = 0.35,
				["showdottimer"] = true,
				["comboPoints"] = 0,
				["FX_end_posx"] = 0,
				["abiRdyMode"] = false,
				["FX_middle_width"] = 1,
				["FX_timerposy"] = 0,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					true, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					true, -- [6]
					false, -- [7]
					true, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_start_posy"] = 0,
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["abiLast"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_start_posx"] = 0,
				["FX_middle_scale"] = 1,
			}, -- [20]
			{
				["abiDotIndex"] = 0,
				["positiony"] = 64,
				["FX_enable"] = false,
				["removable"] = true,
				["FX_textsize"] = 12,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 61336,
				["FX_timerposx"] = 0,
				["icon"] = 0,
				["abiAlphaPulse"] = 0,
				["FX_middle_alpha"] = 1,
				["abiInternalCD"] = 0,
				["FX_speed"] = 40,
				["FX_customtexture"] = "",
				["positionx"] = 64,
				["abiWarn"] = 0,
				["FX_angle"] = 0,
				["TimerLimit"] = 0,
				["abiSpelltext"] = "Instincts de survie",
				["FX_end_width"] = 1,
				["FX_width"] = 128,
				["timerbar"] = 0,
				["FX_pulsespeedZ"] = 0,
				["FX_textenabled"] = false,
				["FX_middle_scale"] = 1,
				["FX_pulsespeedX"] = 0,
				["abiPower"] = {
				},
				["abiEnd"] = 0,
				["FX_pulsepowerX"] = 0,
				["FX_pulsepowerY"] = 0,
				["abiSpellIdForCD"] = 61336,
				["abiSound"] = "",
				["FX_timerscale"] = 0.4,
				["FX_end_alpha"] = 0,
				["spellIDs"] = "61336",
				["abiStack"] = 0,
				["FX_stack"] = 0,
				["abiAlert"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["abiIsaBuff"] = true,
				["showcd"] = true,
				["FX_start_width"] = 1,
				["abiCD"] = 0,
				["abiLastCd"] = 0,
				["FX_chakerpower"] = 0,
				["FX_texture"] = "Interface\\AddOns\\DroodFocus\\datas\\fx.tga",
				["FX_rotatespeed"] = 0,
				["abiLast"] = 0,
				["FX_start_alpha"] = 0,
				["FX_textalign"] = "CENTER",
				["FX_end_scale"] = 0.5,
				["strongcheck"] = false,
				["FX_timersmall"] = true,
				["FX_end_posy"] = 0,
				["height"] = 32,
				["abiFake"] = 0,
				["abiDuration"] = 0,
				["FX_pulsespeedY"] = 0,
				["FX_end_height"] = 1,
				["FX_middle_width"] = 1,
				["FX_start_height"] = 1,
				["abiTimeLeft"] = 0,
				["abiRotatePulse"] = 0,
				["combo"] = false,
				["abiStart"] = 0,
				["FX_middle_height"] = 1,
				["abiRotatePulseInc"] = 1,
				["FX_pulsepowerZ"] = 0,
				["FX_start_scale"] = 0.5,
				["FX_timerenable"] = false,
				["abiUserText"] = "",
				["FX_textColor"] = {
					["a"] = 0.5,
					["r"] = 1,
					["v"] = 1,
					["b"] = 1,
				},
				["FX_textoffsety"] = -40,
				["names"] = {
					"Instincts de survie", -- [1]
				},
				["FX_start_posy"] = 0,
				["perso"] = true,
				["showdottimer"] = true,
				["FX_mode"] = "BLEND",
				["FX_timeralpha"] = 0.35,
				["FX_end_posx"] = 0,
				["comboPoints"] = 0,
				["sType"] = "BuffPlayer",
				["abiRdyMode"] = false,
				["abiTalent"] = 0,
				["FX_timerposy"] = 0,
				["FX_middle_posx"] = 0,
				["FX_OffMode"] = 1,
				["form"] = {
					true, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					true, -- [6]
					false, -- [7]
					true, -- [8]
				},
				["FX_middle_posy"] = 0,
				["width"] = 32,
				["FX_name"] = "Custom",
				["FX_fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_unispace.ttf",
				["FX_timerabove"] = false,
				["luaCode"] = "",
				["ids"] = {
					61336, -- [1]
				},
				["FX_height"] = 128,
				["FX_start_posx"] = 0,
				["FX_textoffsetx"] = 0,
			}, -- [21]
		},
		["cursorspeed"] = 30,
		["anchor8"] = {
			["visible"] = true,
			["positiony"] = -128,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "DOTS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 128,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = -35,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["level"] = 1,
			["height"] = 32,
			["mode"] = "BLEND",
			["positionx"] = 41,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["notMounted"] = true,
		["configversion"] = 506,
		["minimap"] = true,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = -7,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS 1",
			["positionx"] = 42.5,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["eclipsebar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["a"] = 1,
				["b"] = 1,
				["v"] = 0.5,
				["r"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["b"] = 0,
				["v"] = 0,
				["r"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["sformat"] = "#C k/#M k (#p%)",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["form"] = {
				true, -- [1]
				false, -- [2]
				false, -- [3]
				false, -- [4]
				false, -- [5]
				true, -- [6]
				false, -- [7]
				false, -- [8]
			},
			["enable"] = false,
			["width"] = 192,
			["color2"] = {
				["a"] = 1,
				["b"] = 0,
				["v"] = 0.5,
				["r"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["height"] = 18,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["texty"] = 1,
			["textColor"] = {
				["a"] = 1,
				["b"] = 1,
				["v"] = 1,
				["r"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -64,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.7,
			["width"] = 64,
			["temps"] = 3,
			["level"] = 5,
			["height"] = 64,
			["offsetx"] = 0,
			["mode"] = "BLEND",
			["positionx"] = 199.9999970197678,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = -43,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 237.2218017578125,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
	}
	-- FIN [BuildIn] DroodFocus MoP
}

DF_sharemedia = {
}

DF_talents = {
}

